Bug 1912115 - [automation] Analyze job keep failing because of 'JavaScript heap out of memory'
Summary: [automation] Analyze job keep failing because of 'JavaScript heap out of memory'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1909229 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-03 15:32 UTC by Ido Rosenzwig
Modified: 2021-02-24 15:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7692 0 None closed Bug 1912115: Increase heap memory size for analyze job to 8GB 2021-01-27 01:32:55 UTC
Github openshift console pull 7702 0 None closed Bug 1912115: Fix analyze command 2021-01-27 01:32:55 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:54 UTC

Description Ido Rosenzwig 2021-01-03 15:32:50 UTC
Description of problem:

Analyze job keep failing for kubevirt-plugin on openshift/console because of 'JavaScript heap out of memory'

Memory size needs to be increased.

Comment 1 Samuel Padgett 2021-01-04 13:42:21 UTC
*** Bug 1909229 has been marked as a duplicate of this bug. ***

Comment 3 Samuel Padgett 2021-01-04 22:22:02 UTC
This is still an issue: https://prow.ci.openshift.org/?repo=openshift%2Fconsole&job=pull-ci-openshift-console-master-analyze

I believe the NODE_OPTIONS isn't being used for the second command after the pipe.

Comment 5 Yadan Pei 2021-01-13 06:42:55 UTC
Hi Sam,

I see the latest code https://github.com/openshift/console/blob/master/frontend/package.json#L44 the size is still 4096, 
NODE_OPTIONS=--max-old-space-size=4096

is it correct?

Comment 6 Yadan Pei 2021-01-18 05:58:12 UTC
It looks like the root cause of kubevirt-plugin failure is the NODE_OPTIONS was not being used for the second command after the pipe, now it is https://github.com/openshift/console/blob/master/frontend/package.json#L44

Moving to VERIFIED

Comment 7 Yadan Pei 2021-01-18 05:58:29 UTC
Correct me if I'm wrong

Comment 8 Samuel Padgett 2021-01-26 14:04:19 UTC
Hi, yapei@redhat.com. Sorry I missed your message. Yes, that's correct. Comment #6 is accurate.

Comment 11 errata-xmlrpc 2021-02-24 15:49:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.